package com.app.framework.core.support.view.form;

import org.apache.commons.lang.StringUtils;

/**
 * 模型编辑form
 */
public class ModelEditForm {

    /**
     * 菜单Id
     */
    private Long moduleId;

    /**
     * 编辑类型
     *  edit or view
     */
    private String editType;

    /**
     * 列表页面的页码
     */
    private Integer pageNumber;

    /**
     * tab选项卡索引
     */
    private Integer tabIndex;

    public Long getModuleId() {
        return moduleId;
    }

    public void setModuleId(Long moduleId) {
        this.moduleId = moduleId;
    }

    public String getEditType() {
        if(StringUtils.isBlank(editType)){
            editType = "edit";
        }
        return editType;
    }

    public void setEditType(String editType) {
        this.editType = editType;
    }

    public Integer getPageNumber() {
        return pageNumber;
    }

    public void setPageNumber(Integer pageNumber) {
        this.pageNumber = pageNumber;
    }

    public Integer getTabIndex() {
        return tabIndex;
    }

    public void setTabIndex(Integer tabIndex) {
        this.tabIndex = tabIndex;
    }
}
